Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(307)

Unified Diff: pkg/analyzer_plugin/tool/spec/generate_files

Issue 2664213003: Add the generator and the generated files (Closed)
Patch Set: add missed files Created 3 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « pkg/analyzer_plugin/tool/spec/generate_all.dart ('k') | pkg/analyzer_plugin/tool/spec/implied_types.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: pkg/analyzer_plugin/tool/spec/generate_files
diff --git a/pkg/analyzer_plugin/tool/spec/generate_files b/pkg/analyzer_plugin/tool/spec/generate_files
new file mode 100755
index 0000000000000000000000000000000000000000..f9589268ed6d4f8456209b268ea63bc14fd26cbc
--- /dev/null
+++ b/pkg/analyzer_plugin/tool/spec/generate_files
@@ -0,0 +1,68 @@
+#!/usr/bin/env bash
+# Copyright (c) 2017, the Dart project authors. Please see the AUTHORS file
+# for details. All rights reserved. Use of this source code is governed by a
+# BSD-style license that can be found in the LICENSE file.
+#
+# This script generates the following files, based on the contents of
+# spec_input.html:
+#
+# - ../../doc/api.html: The human-readable API spec.
+#
+# - ../../test/integration/protocol_matchers.dart: matchers to be used by
+# integration tests.
+#
+# - ../../test/integration/integration_test_methods.dart: convenience methods
+# to be used by integration tests.
+
+set -e
+
+function follow_links() {
+ file="$1"
+ while [ -h "$file" ]; do
+ # On Mac OS, readlink -f doesn't work.
+ file="$(readlink "$file")"
+ done
+ echo "$file"
+}
+
+# Unlike $0, $BASH_SOURCE points to the absolute path of this file.
+PROG_NAME="$(follow_links "$BASH_SOURCE")"
+
+SCRIPT_DIR="$(cd "${PROG_NAME%/*}" ; pwd -P)"
+
+ROOT_DIR="$(cd "${SCRIPT_DIR}/../../../.." ; pwd -P)"
+
+if [[ $1 == '--arch' && $2 == 'x64' ]];
+then
+ DART_CONFIGURATION="ReleaseX64"
+elif [ -z "$DART_CONFIGURATION" ];
+then
+ DART_CONFIGURATION="ReleaseIA32"
+fi
+
+if [[ `uname` == 'Darwin' ]];
+then
+ if [[ $GYP_GENERATORS == 'ninja' ]];
+ then
+ BUILD_DIR="${ROOT_DIR}/out/$DART_CONFIGURATION"
+ else
+ BUILD_DIR="${ROOT_DIR}/xcodebuild/$DART_CONFIGURATION"
+ fi
+fi
+
+PKG_FILE="${ROOT_DIR}/pkg/analysis_server/.packages"
+if [[ !(-e $PKG_FILE) ]];
+then
+ PKG_FILE="${ROOT_DIR}/.packages"
+fi
+
+DART="${BUILD_DIR}/dart-sdk/bin/dart"
+
+declare -a VM_OPTIONS
+VM_OPTIONS+=("--checked")
+VM_OPTIONS+=("--packages=${PKG_FILE}")
+
+echo "${SCRIPT_DIR}"
+echo "${DART}" "${VM_OPTIONS[@]}" "generate_all.dart"
+cd "${SCRIPT_DIR}"
+"${DART}" "${VM_OPTIONS[@]}" "generate_all.dart"
« no previous file with comments | « pkg/analyzer_plugin/tool/spec/generate_all.dart ('k') | pkg/analyzer_plugin/tool/spec/implied_types.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698